html, body {
    margin: 0;
    height: 100%;
    background-color: #3C3C3C;
}

a {
    color: #569CD6;
    text-decoration: none;
    text-transform: uppercase;
}

a:hover {
    color: #CBCB41;
}

.secondary-link {
    text-transform: lowercase;
    font-size: smaller;
}

#title {
    display: inline-block;
    font-family: 'Source Code Pro', monospace;
    font-size: 1.5em;
    font-weight: bold;
    color: #CBCB41;
    margin-left:15px;
    margin-top:10px;
}

#topToolBar{
    position: absolute;
    top: 0;
    height: 50px;
    width: 100%;
    background-color: #252526;
}

.modal {
    background-color: #3C3C3C;
    color: #8B8B8B;
    border: solid 1px #8B8B8B;
    font-family: 'Source Code Pro', monospace;
    font-size: 0.9em;
    margin:0 auto;
    padding-top: 0.5em;
    padding-bottom: 1em;
    padding-left: 2em;
    padding-right: 2em;
    width: 50%;
    height: 50%;
    z-index: 1000005;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow-y:scroll;
}

#documentation {
    width: 75%;
    height: 75%;
}

#clipboard {
}

.centerDivWrapper{
    width: 99%;
    height: 100%;
    margin: 0 auto;
}

.centerDiv {
    padding: 55px 0;
    height: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

#editor {
    background-color:#252526;
}

.color-orange { color: #D97533; }
.color-blue { color: #569CD6; }
.color-yellow { color: #CBCB41; }

.button {
    border: 0;
    background: none;
    box-shadow: none;
    border-radius: 0px;
    background-color: #2D2D2D;
    color: #8B8B8B;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left:0px;
    margin-right:1px;
}

.button:hover {
    background-color: #383838;
    color: #D4D4D4;
}

.button-icon {
    padding-right:6px;
}

.source-code {
    font-family: 'Source Code Pro', monospace;
}

.ropyEditorRow {
    margin-bottom:1px;
}

.ropyEditorRune {
    font-family: 'Source Code Pro', monospace;
    color: #D4D4D4;
    border-right: solid 1px #404040;
    border-bottom: solid 1px #404040;
    background-color: #1E1E1E;
    padding-left: 2px;
    padding-right: 2px;
}
.ropyEditorRuneActive {
    background-color: #DCDCAA !important;
    color: #1E1E1E;
}
.ropyEditorRuneSelected {
    background-color: #DBDBD0 !important;
    color: #1E1E1E;
}
.ropyEditorInstructionPointer {
    background-color: #D97533 !important;
    color: #DCDCAA;
}
.stackElement {
    font-size: 0.9em;
    font-family: 'Source Code Pro', monospace;
    background-color: #CBCB41 !important;
    color: #1E1E1E;
    padding-left: 4px;
    padding-right: 4px;
    margin:1px;
}
.memoryKey {
    font-size: 0.9em;
    font-family: 'Source Code Pro', monospace;
    background-color: #D97533 !important;
    color: #1E1E1E;
    padding-left: 4px;
    padding-right: 4px;
    margin:0px;
}
.memoryValue {
    font-size: 0.9em;
    font-family: 'Source Code Pro', monospace;
    background-color: #CBCB41 !important;
    color: #1E1E1E;
    padding-left: 4px;
    padding-right: 4px;
    margin-right:1px;
}

.toolbar-info {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13.3333px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 15px;
    padding-right: 15px;    
    background-color: #2D2D2D;
    color: #8B8B8B;
}

.debuggerSidebar {
    float: left;
    width: 390px;
    font-family: Arial, Helvetica, sans-serif;
    color: #8B8B8B;
    background-color: #2D2D2D;
    padding: 5px;
}
.debuggerGrid {
    margin-left: 410px;
}
.block-formatting-context {
    display: inline-block;
    width: 100%;
    zoom: 1; /* new block formatting context via hasLayout for IE 6/7 */
}
.clear {
    color: #900;
    display: block;
    clear: both;
}
.tdSectionStart {
    border-top: solid 1px #8B8B8B;
    padding-top: 10px;
}